## org.apache.batik.ext.awt.image.rendered
Interface TileStore

All Known Implementing Classes:
  TileGrid, TileMap

public interface TileStore

This the generic interface for a TileStore. This is used to store and retrieve tiles from the cache.

Method Summary
`java.awt.image.Raster` `getTile(int x, int y)`
`java.awt.image.Raster` `getTileNoCompute(int x, int y)`
`void` `setTile(int x, int y, java.awt.image.Raster ras)`

Method Detail

### setTile

    public void setTile(int x,
                        int y,
                        java.awt.image.Raster ras)

### getTile

    public java.awt.image.Raster getTile(int x,
                                         int y)

### getTileNoCompute

    public java.awt.image.Raster getTileNoCompute(int x,
                                                  int y)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.